<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>UCD Authorization</title>
  <style>
    /* Reset styles */
    * {
      box-sizing: border-box;
      margin: 0;
      padding: 0;
    }
    body {
      font-family: 'Helvetica Neue', sans-serif;
      background-color: #000;
      color: #fff;
      display: flex;
      justify-content: center;
      align-items: center;
      min-height: 100vh;
    }
    #main-container {
      max-width: 400px;
      width: 100%;
      padding: 2rem;
      background-color: #1a1a1a;
      border-radius: 8px;
      box-shadow: 0 2px 4px rgba(255, 255, 255, 0.1);
    }
    .form-container {
      margin-bottom: 2rem;
      display: none; /* Initially hide both forms */
    }
    .form-container.show {
      display: block; /* Show the active form */
    }
    h1 {
      text-align: center;
      margin-bottom: 1rem;
    }
    input, select {
      width: 100%;
      padding: 0.5rem;
      background-color: #333;
      color: #fff;
      border: none;
      border-radius: 4px;
      margin-bottom: 1rem;
    }
    button {
      width: 100%;
      padding: 0.5rem;
      background-color: #1ab188;
      color: #fff;
      border: none;
      border-radius: 4px;
      cursor: pointer;
      transition: background-color 0.3s ease;
    }
    button:hover {
      background-color: #179b77;
    }
    .toggle-switch {
      display: flex;
      justify-content: center;
      margin-bottom: 2rem;
    }
    .toggle-switch span {
      font-size: 1.2rem;
      font-weight: bold;
      cursor: pointer;
      padding: 0.5rem 1rem;
      transition: background-color 0.3s ease;
    }
    .toggle-switch span.active {
      background-color: #333;
      border-radius: 4px;
    }
  </style>
</head>
<body>
  <main>
    <div class="main-container" id="main-container">
      <div class="toggle-switch">
        <span class="active" data-target="signup">Sign Up</span>
        <span data-target="login">Log In</span>
      </div>
      <div class="form-content">
        <div id="signup" class="form-container show">
          <form>
            <h1>Sign Up</h1>
            <input type="text" placeholder="Full Name" id="full-name-sign-up-input">
            <input type="text" placeholder="Username" id="username-sign-up-input">
            <input type="password" placeholder="Password" id="password-sign-up-input">
            <input type="password" placeholder="Confirm Password" id="confirm-password-sign-up-input">
            <select id="gender-sign-up-input">
              <option value="" disabled selected>Select Gender</option>
              <option value="male">Male</option>
              <option value="female">Female</option>
            </select>
            <button type="button" id="sign-up-button">Sign Up</button>
          </form>
        </div>
        <div id="login" class="form-container">
          <form>
            <h1>Sign In</h1>
            <input type="text" placeholder="Username" id="username-sign-in-input">
            <input type="password" placeholder="Password" id="password-sign-in-input">
            <button type="button" id="sign-in-button">Sign In</button>
          </form>
        </div>
      </div>
    </div>
  </main>
  <div id="liveAlertPlaceholder"></div>
  <script src="../js/auth.js"></script>
</body>
</html>